This URL gets the list of top files.
Resource URL
GET /ntbamonitors/{ntbaId}/topzonefiles/<zone_id
Request Parameters
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| NTBA monitor id | Number | Yes |
| Zone id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| List of files | Array |
Details of topFilesOnNetwork:
Field Name | Description | Data Type |
|---|---|---|
| File | String |
| File id | Number |
| Count | Number |
Example
Request
GET https://<NSM_IP>/sdkapi/ntbamonitors/1006/topzonefiles/9
Response
{
"topFilesOnNetwork":[{
"file":"test.txt",
"fileId":8389181,
"count":2}]
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 4301 | Invalid duration |
2 | 400 | 4302 | Invalid time format |
3 | 400 | 4303 | Start time is greater than end time |
4 | 400 | 4304 | Invalid date format |
5 | 400 | 4305 | Start/End date is not provided |
6 | 400 | 4306 | Invalid NTBA id |
7 | 400 | 4312 | Invalid zone id |